{
  "manifest_version": 3,
  "name": "OKVIP Tool + API Link Menu",
  "version": "6.17",
  "description": "Auto-fill SIM/OTP/TK + Chuột phải mở link từ API",

  "permissions": [
    "activeTab",
    "scripting",
    "storage",
    "tabs",
    "windows",
    "contextMenus"
  ],

  "host_permissions": [
    "<all_urls>",
    "http://127.0.0.1:17719/*"
  ],

  "background": {
    "service_worker": "background.js"
  },

  "action": {
    "default_popup": "popup.html",
    "default_icon": {
      "16": "icons/icon16.png",
      "48": "icons/icon48.png",
      "128": "icons/icon128.png"
    }
  },

  "content_scripts": [
    {
      "matches": ["<all_urls>"],
      "js": ["part1.js", "part2.js"],
      "run_at": "document_idle",
      "all_frames": true
    }
  ],

  "icons": {
    "16": "icons/icon16.png",
    "48": "icons/icon48.png",
    "128": "icons/icon128.png"
  }
}